#
# spec file for package python-jupyter_core
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} && ( 0%{?suse_version} != 1315 && 0%{?suse_version} > 1110 )
%define build_pdf 1
%else
%define build_pdf 0
%endif

Name:           python-jupyter_core-doc
Version:        4.0.6
Release:        2.2
Summary:        Documentation for python-jupyter_core
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://jupyter.org
Source:         https://pypi.python.org/packages/source/j/jupyter_core/jupyter_core-%{version}.tar.gz
BuildRequires:  python-jupyter_core
# Documentation requirements
BuildRequires:  python-Sphinx
%if %{build_pdf}
BuildRequires:  python-Sphinx-latex
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Documentation and help files for python3-jupyter_core.

%package html
Summary:        HTML documentation for python-jupyter_core
Recommends:     python-jupyter_core = %{version}

%description html
Documentation and help files for python-jupyter_core in HTML format.

%package pdf
Summary:        PDF documentation for python-jupyter_core
Recommends:     python-jupyter_core = %{version}

%description pdf
Documentation and help files for python-jupyter_core in PDF format.


%prep
%setup -q -n jupyter_core-%{version}

%build
# Not needed

%install
# Build the documentation
pushd docs
%if %{build_pdf}
PYTHONPATH=%{buildroot}%{python_sitelib} make latexpdf
%endif
PYTHONPATH=%{buildroot}%{python_sitelib} make html
rm -rf _build/html/.buildinfo
popd
 
%files html
%defattr(-,root,root,-)
%doc COPYING.md
%doc docs/_build/html/

%if %{build_pdf}
%files pdf
%defattr(-,root,root,-)
%doc COPYING.md
%doc docs/_build/latex/jupyter_core.pdf
%endif

%changelog
* Wed Feb 17 2016 toddrme2178@gmail.com
- Simplify the tests for whether to build pdf documentation
* Wed Feb 17 2016 toddrme2178@gmail.com
- Split documentation to speed up building.
  This is a dependency of a lot of other packages, and the
  dependencies for the documentation are very heavy.  So build
  the documentation separately to avoid holding up the build
  process.
* Thu Oct  1 2015 toddrme2178@gmail.com
- Build documentation
* Wed Sep 23 2015 toddrme2178@gmail.com
- update to version 4.0.6:
  * fix typo preventing migration when custom.css is missing
- update to version 4.0.5:
  * fix subcommands on Windows (yes, again)
  * fix migration when custom.js/css are not present
* Mon Aug 24 2015 toddrme2178@gmail.com
- Update to 4.0.4
  * ensure version is printed to stdout …
  * remove file-extension from subcommand list on Windows
- Update requirements
* Fri Aug 14 2015 toddrme2178@gmail.com
- Update to 4.0.3
  * use raw_input on Python 2
  * Use setuptools entry points when setuptools in use
  * Use instances of traits instead of trait classes
- Fix package naming consistency
* Fri Aug 14 2015 toddrme2178@gmail.com
- Fix update-alternatives usage
* Thu Aug 13 2015 toddrme2178@gmail.com
- Update dependency names
* Tue Jul 21 2015 jennings@neuro.bzm
- Initial version
